# This file is part of python-cinema-club-bot
# contributed in 2024 by Mikhail Kirillov (~w96k) <w96k@runbox.com>

# To the extent possible under law, the author(s) have dedicated all copyright
# and related and neighboring rights to this software to the public domain
# worldwide. This software is distributed without any warranty.

# You should have received a copy of the CC0 Public Domain Dedication along
# with this software. If not, see:
# <http://creativecommons.org/publicdomain/zero/1.0/>

INVALID_COMMAND = "Invalid command. Available commands: /add /list /remove /chooser /about"

MOVIE_ANOTHER_USER = "Movie should choose another user ({user})"
MOVIE_NOT_PROVIDED = "Movie is not provided"
MOVIE_NOT_FOUND = "Movie not found on IMDB"
EXPECTED_ONE_MOVIE = "Expected only one movie"
FETCHING_MOVIE = "Movie with ID {id} is being fetched: https://imdb.com/title/tt{id}/"
FETCHING_ERROR = "Couldn't fetch movie or it is not found. Provide IMDB id, for example: 0133093"
MOVIE_REMOVE = "Movie \"{title}\" with id {id} has been removed"
MOVIE_SET = "Movie \"{title}\" proposed by {user} is succesfully set as next to watch"

USER_NOT_FOUND = "Provided user ({user}) not found. Check /list"
USER_NOT_PROVIDED = "User(s) is not provided"
EXPECTED_ONE_USER = "Expected only one user"
ADD_MORE_USERS = "There is no users added. You can add people who can choose movies using /add nickname"
NEXT_MOVIE_USER = "Next movie choice is up to {user}"

USER_ADD = "User {user} has been added"
USERS_ADDED = "Users have been added successfully. Use /list to view."

USER_REMOVE = "User {user} has been removed. Use /list to view."
USERS_REMOVED = "Users has been removed"

USER_SET = "Users have been set successfully. Use /list to view."
USER_CHOOSE = "Next movie should choose: {user}"

UNDEFINED_ERROR = "Exception: something unexpected happened. Check the logs."
